/*---------------------------------------------------------------------
 * nano_os.c
 *
 * Copyright (c) 2010 Tobias Wiese - hacker-tobi@gmx.net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *------------------------------------------------------------------------
 */

#define F_CPU 8000000

#include <stdlib.h>
#include <avr/interrupt.h>   // Interrupts and timers
#include <util/delay.h>      // Blocking delay functions
#include <avr/wdt.h>     // Watchdog timer to repair lockups
#include <avr/sleep.h>

#include "system/header/nano_os.h"
#include "user/user.h"

#include "user/user.c"
//#include "system/util.c"
#include "system/scheduler.c"
#include "system/kernel.c"
#include "system/task_control.c"
#include "system/idle.c"

#ifdef TASK_USE_MEM
#include "system/memory.c"
#endif

#ifdef TASK_USE_MESSAGE
#include "system/message.c"
#endif

#ifdef TASK_USE_SEMAPHORE
#include "system/semaphore.c"
#endif

int main(void)
{
  kernel();
return 0;
}
